GNU logs - #36810, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36810: 26.2; package.el; package-refresh-contents, Bad Request (http over https)
Resent-From: gnu@HIDDEN
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 25 Jul 2019 17:14:01 +0000
Resent-Message-ID: <handler.36810.B.156407483614890 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 36810
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 36810 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.156407483614890
          (code B ref -1); Thu, 25 Jul 2019 17:14:01 +0000
Received: (at submit) by debbugs.gnu.org; 25 Jul 2019 17:13:56 +0000
Received: from localhost ([127.0.0.1]:40353 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqhJT-0003s6-Da
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 13:13:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:38887)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu@HIDDEN>) id 1hqgpd-0000w9-7h
 for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 12:43:05 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55591)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <gnu@HIDDEN>) id 1hqgpb-0002Fo-Ii
 for bug-gnu-emacs@HIDDEN; Thu, 25 Jul 2019 12:43:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gnu@HIDDEN>) id 1hqgpZ-0005Nz-VE
 for bug-gnu-emacs@HIDDEN; Thu, 25 Jul 2019 12:43:03 -0400
Received: from mout.kundenserver.de ([212.227.126.130]:49315)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <gnu@HIDDEN>) id 1hqgpZ-0005Jk-Hc
 for bug-gnu-emacs@HIDDEN; Thu, 25 Jul 2019 12:43:01 -0400
Received: from [192.168.1.24] ([82.71.25.83]) by mrelayeu.kundenserver.de
 (mreue010 [212.227.15.163]) with ESMTPSA (Nemesis) id
 1MLAAs-1i8lwh0fuE-00IBxS for <bug-gnu-emacs@HIDDEN>; Thu, 25 Jul 2019
 18:42:57 +0200
From: gnu@HIDDEN
Message-ID: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
Date: Thu, 25 Jul 2019 17:42:57 +0100
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-GB
X-Provags-ID: V03:K1:aZlEt9fv/FJVlNExEqxEOFwxmrD1zjL4gkVVTsNjF+2V0MqJJOF
 IFsKSTEcjSP0BfhEskOSYtsQ5cIKm6bgkzTksDyjpPwtkdTAh2oWgkj8wft1EkHvzvPfnTt
 GtPctS7dIeGXBbF05JB2aSCXlGDKVF7l7B4NuZkWG6NCqhcfU/qzv+QNReRcgIyU8EyJtBc
 x22I4f0X1tHBlSnPu82OA==
X-UI-Out-Filterresults: notjunk:1;V03:K0:cjobgq4ebuc=:qPXy0y4WkAmQFyOH+8bXF/
 PoHBXfNPqM/M63Vmm6r3XFPsM9KzL4ZNP5fC+pQHNss3zqOWGWuOmHe/2sknSuFHyiBRa1meZ
 Fbtj9fQBZycfHEHQDpuE1lk8J3sm5AKlzvf4O9zglj2eui0KrgZnFOug+Qic4oSyvMQiqlXFs
 pCECHaGLx04RvzoOpxw38GdSIKcgTgxzXMt9Ki314iwRS4Zx4g0Y9l6iGZbgNVkM9kIs4GHV1
 6yRerR2kCtfPWSzFhuplARL8EDaATUoFMwnk7gD8HYxhZGn9IfMC/pxr1PLyG2Qfjl9WtWwe1
 XTO8+7qkD6qmz7HxUm27rL5qw3AICYDp1vimEl9tLjNNlwyPg+ntfWVGVt0g2+MDz5z6OZVrl
 T448MiMLANITkM7ykOxGLe7BlY2+WaVqSwVpvlrf0z+l2s9+ZK6SBB+s+t1PdbEoYiarsecpn
 21z134VJlb1mcdAs772UFWWPZRcF3gjdG3qQ6gpeTehDJiS9B1q/XkSqtJrzEXNG7X8KEyFKU
 zCcW2lIeSsTIS3WjHjZEp6hJS0MmCkMaFmill3GZpLqI1JJBs0CuDmyNSE9RRcay6JXK5XzWh
 J8jCzWH55MVDvaZSRNSpKQKtRdT/5H79Vf8dzKmWR2nIFT3fJWLt2W8I8r+SY2GooirnYF29a
 D+fLMAaOSxmm/ist+epjSegR8cUBc4UQdUqTRRlJzfNnoZ8CM9uqZ9wsvtJcYebpv98zBvCB2
 NVHoP9oMIzFpk6DTkd+HLZ2jx0HzBr7vabzAqZI9UhroVo09KJ29N2Hhvxo=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 212.227.126.130
X-Spam-Score: -2.3 (--)
X-Mailman-Approved-At: Thu, 25 Jul 2019 13:13:54 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Replicate with:
emacs -Q
M-x package-initialize RET
M-x set-variable RET debug-on-error RET t RET
package-refresh-contents
=> Debugger entered--Lisp error: (file-error
"https://elpa.gnu.org/packages/archive-contents" "Bad Request")

In wireshark I observe a TLS1.2 session with elpa.gnu.org, terminated
from localhost, then another connection established to port 443 on
elpa.gun.org but no TLS setup and then a straight HTTP GET request (for
/packages/archive-contents).
Server responds 400 (Bad Request):
"Your browser sent a request that this server could not understand.
Reason: You're speaking plain HTTP to an SSL-enabled server port."





In GNU Emacs 26.2 (build 1, x86_64-slackware-linux-gnu, GTK+ Version 3.18.9)
  of 2019-07-17 built on hive64.slackware.lan
Windowing system distributor 'The X.Org Foundation', version 11.0.11803000
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
You can run the command 'package-initialize' with M-x p-ini RET
Importing package-keyring.gpg...done
Contacting host: elpa.gnu.org:443
Package refresh done
Entering debugger...

Configured using:
  'configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
  --program-prefix= --program-suffix= --mandir=/usr/man
  --infodir=/usr/info --without-gconf --without-gsettings --with-x
  --with-x-toolkit=gtk3 --build=x86_64-slackware-linux 'CFLAGS=-O2
  -fPIC''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GLIB NOTIFY ACL
GNUTLS LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM
THREADS LCMS2

Important settings:
   value of $LC_COLLATE: C
   value of $LC_CTYPE: en_GB
   value of $LC_MESSAGES: en_GB
   value of $LC_MONETARY: en_GB
   value of $LC_NUMERIC: en_GB
   value of $LC_TIME: en_GB
   value of $LANG:
   locale-coding-system: iso-latin-1-unix

Major mode: Debugger

Minor modes in effect:
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   buffer-read-only: t
   line-number-mode: t
   transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired dired-loaddefs format-spec
rfc822 mml mml-sec epa derived gnus-util rmail rmail-loaddefs mm-decode
mm-bodies mm-encode mailabbrev gmm-utils mailheader sendmail cl-print
debug mail-utils network-stream starttls url-http tls gnutls mail-parse
rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr url-gw nsm rmc
puny url-cache url-auth url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap epg cus-edit wid-edit
cus-start cus-load thingatpt help-fns radix-tree help-mode finder-inf
package easymenu epg-config url-handlers url-parse auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache url-vars seq
byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib elec-pair
time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 130287 9116)
  (symbols 48 23742 1)
  (miscs 40 54 139)
  (strings 32 38503 1177)
  (string-bytes 1 1018090)
  (vectors 16 18079)
  (vector-slots 8 546762 8140)
  (floats 8 64 53)
  (intervals 56 386 241)
  (buffers 992 13)
  (heap 1024 24811 5005))





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: gnu@HIDDEN
Subject: bug#36810: Acknowledgement (26.2; package.el; package-refresh-contents,
 Bad Request (http over https))
Message-ID: <handler.36810.B.156407483614890.ack <at> debbugs.gnu.org>
References: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
X-Gnu-PR-Message: ack 36810
X-Gnu-PR-Package: emacs
Reply-To: 36810 <at> debbugs.gnu.org
Date: Thu, 25 Jul 2019 17:14:01 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 36810 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
36810: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D36810
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36810: 26.2; package.el; package-refresh-contents, Bad Request (http over https)
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 25 Jul 2019 17:31:02 +0000
Resent-Message-ID: <handler.36810.B36810.156407585916685 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36810
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: gnu@HIDDEN
Cc: 36810 <at> debbugs.gnu.org
Received: via spool by 36810-submit <at> debbugs.gnu.org id=B36810.156407585916685
          (code B ref 36810); Thu, 25 Jul 2019 17:31:02 +0000
Received: (at 36810) by debbugs.gnu.org; 25 Jul 2019 17:30:59 +0000
Received: from localhost ([127.0.0.1]:40375 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqhZy-0004L1-SU
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 13:30:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50341)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hqhZw-0004Kl-Se
 for 36810 <at> debbugs.gnu.org; Thu, 25 Jul 2019 13:30:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47649)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hqhZq-00050C-2V; Thu, 25 Jul 2019 13:30:50 -0400
Received: from [176.228.60.248] (port=1736 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hqhZo-0006ya-Ju; Thu, 25 Jul 2019 13:30:49 -0400
Date: Thu, 25 Jul 2019 20:30:40 +0300
Message-Id: <835znqnhrz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
 (gnu@HIDDEN)
References: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: gnu@HIDDEN
> Date: Thu, 25 Jul 2019 17:42:57 +0100
> 
> Replicate with:
> emacs -Q
> M-x package-initialize RET
> M-x set-variable RET debug-on-error RET t RET
> package-refresh-contents
> => Debugger entered--Lisp error: (file-error
> "https://elpa.gnu.org/packages/archive-contents" "Bad Request")
> 
> In wireshark I observe a TLS1.2 session with elpa.gnu.org, terminated
> from localhost, then another connection established to port 443 on
> elpa.gun.org but no TLS setup and then a straight HTTP GET request (for
> /packages/archive-contents).
> Server responds 400 (Bad Request):
> "Your browser sent a request that this server could not understand.
> Reason: You're speaking plain HTTP to an SSL-enabled server port."

See bug#36749 for a possible solution.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36810: 26.2; package.el; package-refresh-contents, Bad Request (http over https)
Resent-From: Noam Postavsky <npostavs@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 25 Jul 2019 17:36:02 +0000
Resent-Message-ID: <handler.36810.B36810.156407613417143 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36810
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: gnu@HIDDEN
Cc: 36810 <at> debbugs.gnu.org
Received: via spool by 36810-submit <at> debbugs.gnu.org id=B36810.156407613417143
          (code B ref 36810); Thu, 25 Jul 2019 17:36:02 +0000
Received: (at 36810) by debbugs.gnu.org; 25 Jul 2019 17:35:34 +0000
Received: from localhost ([127.0.0.1]:40381 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqheQ-0004SL-2v
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 13:35:34 -0400
Received: from mail-io1-f41.google.com ([209.85.166.41]:34702)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1hqheN-0004S1-L8; Thu, 25 Jul 2019 13:35:32 -0400
Received: by mail-io1-f41.google.com with SMTP id k8so99023690iot.1;
 Thu, 25 Jul 2019 10:35:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=t5iBu+IstshpZFPRW0nMRPW2ZcoRM4Mkzlc5Z+kkNfc=;
 b=kS8vFkpjD4EHSDW/vZwvp3Qhpxb212BGoMpXcV1135PdmYuwP2SM7kWas99RgP1zvI
 yrKTmXlW2Y7Mrj5pP4hEAwuSsHlsTJ4n8jOZpKAHm1WLjxX/Hj57lP8yGazcIXhUjgng
 5MESMVt7c3vgrljV8vsqmTTvcOC/2wUSXlmcaZWDaXN+uAqIPP2J8QClfWFIUHv/heu7
 TyeeWdrKKqCwrnyMIPt+D9Rn6QwUzKqcin59VHukeYEsMGxxRl6p8O0vk0IKSf6dq1U6
 wTEONFfmivr/zZ8+DkXZAyM2RZMob/hvIrJCbhq4u+vInN8yJ5RbWRvip1V4qrGDHk0h
 J8ig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=t5iBu+IstshpZFPRW0nMRPW2ZcoRM4Mkzlc5Z+kkNfc=;
 b=LxmnK2oynxG4lL2c+nC+RuyDvU06rbC3LPhpmZVlbjNanvjeJAqilzQO+uf7mn1Y7e
 3+epfu4cLgGb24PeeS0PbVx+CtdlA4OEXvufstMBfU3WOr+h8Gv5Kx12JKIm3/ZVolaF
 IN1UMPOfX8axTe3dYd3dVImMEnIwCDxmiOi5z8Bs5tuzztmpOQKwQm82Jw+7e5m6I6eM
 i1Th6GGxhXm3dlBYOQL+JaYP+ffkB4a1Lxpyadkq1nSAvWsSzU++PC8Si4eqxDprpqLJ
 iOdxdcDDsoVo4QXyBa2BkWnUDw1ceRQKOJkzKru3D5+CK3EDl00jvumcLsp0pBc8KePX
 2Cgw==
X-Gm-Message-State: APjAAAUkcxdFH6QoWvGmU7RcYAWz5MndEiIGjGdeR36ufpMfp+OzpHuK
 NrVBUAaAfplVE2oTdxkgUugc97yJ
X-Google-Smtp-Source: APXvYqwXENR1p6LTESYPM/s0+wh7PJTc2/gBak+uj5DCGkToljr7D+ZkxxMQUqu196ypqmJcgHrDxg==
X-Received: by 2002:a5d:928a:: with SMTP id s10mr56957849iom.29.1564076125901; 
 Thu, 25 Jul 2019 10:35:25 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.51.196])
 by smtp.gmail.com with ESMTPSA id j14sm42525809ioa.78.2019.07.25.10.35.25
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 25 Jul 2019 10:35:25 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
References: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
Date: Thu, 25 Jul 2019 13:35:25 -0400
In-Reply-To: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
 (gnu@HIDDEN's message of "Thu, 25 Jul 2019 17:42:57 +0100")
Message-ID: <85ef2ej9uq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.92 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

merge 36810 36725
quit

gnu@HIDDEN writes:

> Replicate with:
> emacs -Q
> M-x package-initialize RET
> M-x set-variable RET debug-on-error RET t RET
> package-refresh-contents
> => Debugger entered--Lisp error: (file-error
> "https://elpa.gnu.org/packages/archive-contents" "Bad Request")
>
> In wireshark I observe a TLS1.2 session with elpa.gnu.org, terminated
> from localhost, then another connection established to port 443 on
> elpa.gun.org but no TLS setup and then a straight HTTP GET request (for
> /packages/archive-contents).
> Server responds 400 (Bad Request):
> "Your browser sent a request that this server could not understand.
> Reason: You're speaking plain HTTP to an SSL-enabled server port."

I believe this is another case of Bug#36725/36749/34341.  It should work
in 26.2.90 pretest.  As a workaround, doing

    (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")

seems to help (it somehow affects the timing so as to avoid the bug).




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 25 Jul 2019 17:35:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 13:35:34 2019
Received: from localhost ([127.0.0.1]:40379 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqheP-0004SJ-OR
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 13:35:34 -0400
Received: from mail-io1-f41.google.com ([209.85.166.41]:34702)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1hqheN-0004S1-L8; Thu, 25 Jul 2019 13:35:32 -0400
Received: by mail-io1-f41.google.com with SMTP id k8so99023690iot.1;
 Thu, 25 Jul 2019 10:35:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=t5iBu+IstshpZFPRW0nMRPW2ZcoRM4Mkzlc5Z+kkNfc=;
 b=kS8vFkpjD4EHSDW/vZwvp3Qhpxb212BGoMpXcV1135PdmYuwP2SM7kWas99RgP1zvI
 yrKTmXlW2Y7Mrj5pP4hEAwuSsHlsTJ4n8jOZpKAHm1WLjxX/Hj57lP8yGazcIXhUjgng
 5MESMVt7c3vgrljV8vsqmTTvcOC/2wUSXlmcaZWDaXN+uAqIPP2J8QClfWFIUHv/heu7
 TyeeWdrKKqCwrnyMIPt+D9Rn6QwUzKqcin59VHukeYEsMGxxRl6p8O0vk0IKSf6dq1U6
 wTEONFfmivr/zZ8+DkXZAyM2RZMob/hvIrJCbhq4u+vInN8yJ5RbWRvip1V4qrGDHk0h
 J8ig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=t5iBu+IstshpZFPRW0nMRPW2ZcoRM4Mkzlc5Z+kkNfc=;
 b=LxmnK2oynxG4lL2c+nC+RuyDvU06rbC3LPhpmZVlbjNanvjeJAqilzQO+uf7mn1Y7e
 3+epfu4cLgGb24PeeS0PbVx+CtdlA4OEXvufstMBfU3WOr+h8Gv5Kx12JKIm3/ZVolaF
 IN1UMPOfX8axTe3dYd3dVImMEnIwCDxmiOi5z8Bs5tuzztmpOQKwQm82Jw+7e5m6I6eM
 i1Th6GGxhXm3dlBYOQL+JaYP+ffkB4a1Lxpyadkq1nSAvWsSzU++PC8Si4eqxDprpqLJ
 iOdxdcDDsoVo4QXyBa2BkWnUDw1ceRQKOJkzKru3D5+CK3EDl00jvumcLsp0pBc8KePX
 2Cgw==
X-Gm-Message-State: APjAAAUkcxdFH6QoWvGmU7RcYAWz5MndEiIGjGdeR36ufpMfp+OzpHuK
 NrVBUAaAfplVE2oTdxkgUugc97yJ
X-Google-Smtp-Source: APXvYqwXENR1p6LTESYPM/s0+wh7PJTc2/gBak+uj5DCGkToljr7D+ZkxxMQUqu196ypqmJcgHrDxg==
X-Received: by 2002:a5d:928a:: with SMTP id s10mr56957849iom.29.1564076125901; 
 Thu, 25 Jul 2019 10:35:25 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.51.196])
 by smtp.gmail.com with ESMTPSA id j14sm42525809ioa.78.2019.07.25.10.35.25
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 25 Jul 2019 10:35:25 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: gnu@HIDDEN
Subject: Re: bug#36810: 26.2; package.el;
 package-refresh-contents, Bad Request (http over https)
References: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
Date: Thu, 25 Jul 2019 13:35:25 -0400
In-Reply-To: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
 (gnu@HIDDEN's message of "Thu, 25 Jul 2019 17:42:57 +0100")
Message-ID: <85ef2ej9uq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.92 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
Cc: 36810 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

merge 36810 36725
quit

gnu@HIDDEN writes:

> Replicate with:
> emacs -Q
> M-x package-initialize RET
> M-x set-variable RET debug-on-error RET t RET
> package-refresh-contents
> => Debugger entered--Lisp error: (file-error
> "https://elpa.gnu.org/packages/archive-contents" "Bad Request")
>
> In wireshark I observe a TLS1.2 session with elpa.gnu.org, terminated
> from localhost, then another connection established to port 443 on
> elpa.gun.org but no TLS setup and then a straight HTTP GET request (for
> /packages/archive-contents).
> Server responds 400 (Bad Request):
> "Your browser sent a request that this server could not understand.
> Reason: You're speaking plain HTTP to an SSL-enabled server port."

I believe this is another case of Bug#36725/36749/34341.  It should work
in 26.2.90 pretest.  As a workaround, doing

    (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")

seems to help (it somehow affects the timing so as to avoid the bug).




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36810: 26.2; package.el; package-refresh-contents, Bad Request (http over https)
Resent-From: gnu@HIDDEN
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 25 Jul 2019 21:21:02 +0000
Resent-Message-ID: <handler.36810.B36810.15640896277105 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36810
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 36810 <at> debbugs.gnu.org
Received: via spool by 36810-submit <at> debbugs.gnu.org id=B36810.15640896277105
          (code B ref 36810); Thu, 25 Jul 2019 21:21:02 +0000
Received: (at 36810) by debbugs.gnu.org; 25 Jul 2019 21:20:27 +0000
Received: from localhost ([127.0.0.1]:40524 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqlA3-0001qX-A8
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 17:20:27 -0400
Received: from mout.kundenserver.de ([217.72.192.74]:44143)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu@HIDDEN>) id 1hqlA0-0001qG-Pz
 for 36810 <at> debbugs.gnu.org; Thu, 25 Jul 2019 17:20:25 -0400
Received: from [192.168.1.24] ([82.71.25.83]) by mrelayeu.kundenserver.de
 (mreue108 [212.227.15.179]) with ESMTPSA (Nemesis) id
 1M1Hi8-1ho0Gu1Xty-002lPn for <36810 <at> debbugs.gnu.org>; Thu, 25 Jul 2019
 23:20:18 +0200
References: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
 <85ef2ej9uq.fsf@HIDDEN>
From: gnu@HIDDEN
Message-ID: <c0633762-3437-5633-c676-f8fc49a413df@HIDDEN>
Date: Thu, 25 Jul 2019 22:20:18 +0100
MIME-Version: 1.0
In-Reply-To: <85ef2ej9uq.fsf@HIDDEN>
Content-Type: text/html; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:66gYZfBzYOxEr/+VGs5MPikH403Zu1WrAGUZaBnWlx+fAAutD3N
 CMotHYUgPLJuPg8LuTMl8DF0UQbO3qk/rsx+roAQnli+rT+Cl6oCa+5LHIrQEDY5AAs2DXv
 XSeNt5sUkCpRaeaeTXtDB37OOhz0aqcFsp7vlahG5THcGU8Yyk5etvLmzLSDmvur7uD0qHb
 qaY/l562V4tijPfr5V7WA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:PqIGNH3lAA8=:+AnuQHywvsHaOWt9IpD8HN
 lPZkmcEg3o4qX5GWs4AaQAkeNWuFV8AiZjvgUhy2XyzngS2QAE5FvdfHHK21/Mr8VwHDWLJYU
 JlnCwT5qzfYGjEeVfWdAMSbxEPLEoPgnDqdnWdp+vXsUZCfm8pp7j8QYYQwznsXFP0za9eNJK
 BCL4oVQpxCMAGgVp4OzMxd0OOHQX3C3sglmrqQinbTjRHHNUdv/6DEKF35DTkMXZrK+5sR6sj
 6qbObrxQnOICceAaiG6qeUI80+uMr2bX/8vU0r4Wt/+B4aOU14eUru9U7sWT77I+SNKCZ4d9O
 od2zC8Rn1zSFPdqp1wpHzBVRNEmmDo4SObU7hMh/BUTGxEZPkDisXNNsl7wZV5xi00WRM9Ef+
 /B9opjZK6OzjfrnB8tKxqdN8SoW4d6xqZ4dDY+oitSHmEJUdiVF4/DoDwpdy+E3Gr9F4kAEoa
 XHq6h5VjqAPNseqt92LDjRE2ORRWv50A4ZHmqkJYRJK9UgGgaS5jq7TQ5Uo64fgE2B3qNWeSY
 su8wX/Mi1vwuFbsSeDulPt0fbqmqRQg8UeLVoCrewRzMiZPenEu/0XjzYvMVsD4Q0znzHQboa
 Wk07xO3HtxAN/PxR3+2/Z6aEsbWPt34kOqOSEp0TK27oNPaLfy4hj8nmr69WVczUVt5zO7wCW
 fiwTXFzoHN1njUvK6hiJ18yBsBTZ2e0uIhTnuTAtDJkk0LV4VBf55kp9zyplNC11wjODglS3j
 6KbKA/C7AJZh53J4PWYrWCw93BBV93Bd+Pdj6GRkATjedqgeRTy6dkSjpDU=
X-Spam-Score: 0.1 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body text="#000000" bgcolor="#FFFFFF">
    <p>Thanks Eli &amp; Noam,</p>
    <p> yes, setting gnutls-algorithm-priority did the trick.</p>
    <p>Apologies for not having spotted the similar existing bugs.</p>
    <p>g.</p>
    <p><br>
    </p>
  </body>
</html>




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 25 Jul 2019 22:40:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 18:40:11 2019
Received: from localhost ([127.0.0.1]:40576 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqmPD-0003rg-FI
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 18:40:11 -0400
Received: from mail-io1-f44.google.com ([209.85.166.44]:44270)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hqmPA-0003rP-UF
 for control <at> debbugs.gnu.org; Thu, 25 Jul 2019 18:40:09 -0400
Received: by mail-io1-f44.google.com with SMTP id s7so100604729iob.11
 for <control <at> debbugs.gnu.org>; Thu, 25 Jul 2019 15:40:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=8vDZ5Q62usjAzLkE+Lz91GY5WNbUthqfZV5WfK4g8F8=;
 b=Xzg64KfufSMV232fGSyF+Hs7wo+/VSzRi4pkrJfHtp2UX9VXa0JSIKfuIRpq55jV5b
 0O8YvlQsqZ+vgO5a3W3VgzQRsA+WHueFRjNbxjPHY8xpVKpeXgi20Fmf81lj9rkoM1oO
 3R5e9qn+/3h/dJ5zi5pZGMvwd8WsZ8y8z3NEsIdDpGI/cIBawNpCB6MBPmHDi6K+MnF4
 g8NGlOD5H7EZckoGM1po+OWbKhe0hQ7/W6Il9pQ+9Mpk7U+GlLNiiP+hY5iBbI+Ckuh6
 okBZRPb9Z+RIB30Vzx1h9jGoJeJXqB1OG6QjgQc09qa0x6zwUmCBAJAndNslFUz/5KiO
 vIZw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=8vDZ5Q62usjAzLkE+Lz91GY5WNbUthqfZV5WfK4g8F8=;
 b=l7gRKsCYYJpfhDqvHO9S3Hth/E3HgmBOF63hcKOoxHvXKvcpwcG0g4+FxIM6Lg69mV
 UXrXD3LNk4u2onLQsR80AW+MumhfrJLjfdMZWvuV8Cxtlf9hJh0r2GQfRUaUASE931jT
 n/oWy9Wcub4VATFuvovTOlMTpAYFSurNDSyvEjXo+HQf8L0C0geW0yaUERxLisXATORc
 Ofvsw4kL9+fRcuWZ4uoY9N+OSkE4yWYsWcCjw5uhnVVFpwDpGbacmDym2S+hQCZPdx2w
 m6V6t1nsbdrFje89bYh6FvPH+lzB+fpf2YiM1gMTWkW8VDIoHYtUgBrkSdohCN/lFvbX
 JvIg==
X-Gm-Message-State: APjAAAUe45CkS19C/mnYTj068p7B51uWbBl2vbuPI96qMn2tpPD5vAkC
 eUo/UfL3G7pLK0lOFPKApQN5LqZa
X-Google-Smtp-Source: APXvYqznFI7qhz8aepDcBDhzrfoVZsjfrs2na+99C5CffOMRLgEZSVfcIgS9B2PvAvGqmsdNbEKTbQ==
X-Received: by 2002:a5d:9bc6:: with SMTP id d6mr14857362ion.160.1564094403360; 
 Thu, 25 Jul 2019 15:40:03 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 n26sm37428913ioc.74.2019.07.25.15.40.02 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 25 Jul 2019 15:40:02 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: control <at> debbugs.gnu.org
Subject: control message for bug #36810
Date: Thu, 25 Jul 2019 18:40:02 -0400
Message-ID: <87wog5viv1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

fixed 36810 26.2.90
quit





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 31 Jul 2019 14:16:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 31 10:16:58 2019
Received: from localhost ([127.0.0.1]:52840 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hspPW-0006eb-AH
	for submit <at> debbugs.gnu.org; Wed, 31 Jul 2019 10:16:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1hspPV-0006Zu-Fc; Wed, 31 Jul 2019 10:16:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49622)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hspPQ-00040O-2w; Wed, 31 Jul 2019 10:16:52 -0400
Received: from [176.228.60.248] (port=4456 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hspPP-00051X-4C; Wed, 31 Jul 2019 10:16:51 -0400
Date: Wed, 31 Jul 2019 17:16:42 +0300
Message-Id: <83h872i911.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Thorbjoern Willoch <TWilloch@HIDDEN>
In-reply-to: <a2009c53-e294-5d8e-1880-a72d80dddbf2@HIDDEN> (message
 from Thorbjoern Willoch on Wed, 31 Jul 2019 10:43:38 +0000)
Subject: Re: bug#36873: 26.1; Cannot install pacakges from elpa.gnu.org
References: <a2009c53-e294-5d8e-1880-a72d80dddbf2@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
Cc: 36873 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

merge 36873 36725
thanks

See https://debbugs.gnu.org/cgi/bugreport.cgi?bug=36810#11 for a
possible solution.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 31 Jul 2019 14:18:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 31 10:18:01 2019
Received: from localhost ([127.0.0.1]:52847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hspQX-0007C9-6t
	for submit <at> debbugs.gnu.org; Wed, 31 Jul 2019 10:18:01 -0400
Received: from mail-io1-f41.google.com ([209.85.166.41]:43630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1hspQS-0007Bq-Pl; Wed, 31 Jul 2019 10:17:57 -0400
Received: by mail-io1-f41.google.com with SMTP id k20so136572566ios.10;
 Wed, 31 Jul 2019 07:17:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=vRLvaA6h+mwcetTP2TBjwK0oD9F5MbZ6FCYtpOnNiVY=;
 b=pxF6ugRY0eURsHRMvNhyw+rRfFmSj6gUtxMIIuDCwk22nnwzKvXODxH7w0EjrS5dpO
 9OozZfWX4eSY8+9fr0WltBshfkcCzubnsoU1uwLNYuBfvVVvCUP2dm4onsIAXs3o4pY9
 7Asz6va+bwRst3xtt+7akZCqkitcatA4GtuNIwcEGs/u4ieHKXIF8aGZAzZp1Mo8Z4tB
 pc7UDd2UsmePpEa9z8CuxK8SjzRdMsiInU1/CAhksfvYQN4mMh+5eo4ckCiZZZ8Lh96G
 aqtpQXNQ7YfzeuKu3S5OM0lqPalqJE7OTqgm2P2xHN3QWT4IW4pRXBPkZwD3A+SFQOJS
 T0ZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=vRLvaA6h+mwcetTP2TBjwK0oD9F5MbZ6FCYtpOnNiVY=;
 b=mkUM750vMMR189AajmYJldUo1JjoHWXldu0yTreQFmKl6LST+7MS+0+e9BDPl7ZL85
 MVTXu+2lZwVfXGUs7t6+ILMzh93htaQgTt9BeWuK6e7d2xCf+x+wZOnQpsUqNXF2WHzb
 zJ0CEntq1Io/pk4dK8CEQjNcAD7dvd1mg0dtHTD01hRJH/3G3RAXx7yGvg8MGPoEvRnx
 TjeE/5H4q7HCzLCwvWAtELYbYqxYItSpk6CwpTyqI0DanTIiAtCnaFBfsGJZ3DACnLFw
 /wc8y12YHd0AIcJHEHetXntSSpV2JAhM0ejEvSXL0Sm32UoELBjzSR1+6uhMEQUFWkrC
 Oa8g==
X-Gm-Message-State: APjAAAXRHChWS66HFAGn1/EooLGiAx9U+bLDRkGPCAed4BjY9BMpvFIw
 xaE54ipWcTsU59g9RDijmJawqmGC
X-Google-Smtp-Source: APXvYqz3LEz5G011gzAHcXAWrIPAgm0hkbifhPP2RmPanMyhRa4ix+3Xpn39bMDpgXEEJgEo/ChLyg==
X-Received: by 2002:a02:b710:: with SMTP id g16mr34038630jam.88.1564582671059; 
 Wed, 31 Jul 2019 07:17:51 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.51.196])
 by smtp.gmail.com with ESMTPSA id y20sm52983163iol.34.2019.07.31.07.17.50
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 31 Jul 2019 07:17:50 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Thorbjoern Willoch <TWilloch@HIDDEN>
Subject: Re: bug#36873: 26.1; Cannot install pacakges from elpa.gnu.org
References: <a2009c53-e294-5d8e-1880-a72d80dddbf2@HIDDEN>
Date: Wed, 31 Jul 2019 10:17:51 -0400
In-Reply-To: <a2009c53-e294-5d8e-1880-a72d80dddbf2@HIDDEN>
 (Thorbjoern Willoch's message of "Wed, 31 Jul 2019 10:43:38 +0000")
Message-ID: <85lfwe47ao.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.92 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
Cc: 36873 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

merge 36873 36810
quit

Thorbjoern Willoch <TWilloch@HIDDEN> writes:

> M-x package-install RET svg RET
> gets error : https://elpa.gnu.org/packages/svg-1.0.el: Bad Request

This is fixed in 26.2.90 (the pretest for 26.3), you can use

    (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")

as a workaround.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 19 Sep 2019 01:50:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 21:50:53 2019
Received: from localhost ([127.0.0.1]:54997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAlav-0007LE-CU
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 21:50:53 -0400
Received: from mail-io1-f52.google.com ([209.85.166.52]:36513)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1iAlat-0007Ku-9A; Wed, 18 Sep 2019 21:50:51 -0400
Received: by mail-io1-f52.google.com with SMTP id b136so3957489iof.3;
 Wed, 18 Sep 2019 18:50:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=bSZQNxaY6d4NUl2lEKopB+NZ30L0Pf+H1/CkWpbvKQg=;
 b=ubVZAfddL2+64+3Vr9iG/0vRNQwM28Vl4+Aa8/3Wen3TLjpNnGtb/4ly738S/ZEsct
 SUVUDJ+yq5tzTq4UzZmRt1kEXGt/1/kNvSTxNsXBY8DAn4bDomNb3Mao8gj7IZZxoLKq
 //e5sjagTfGwcsd6gxluRA/CQuBygkaH39LZ5+PICe0Ky6mnTbXBfBSrUno+cCpMlg1Q
 T8tn4vThY79XSKHNlnenT+eUlACnQ5hV8AGKEC/IXRyw+ScQgT5jydZimTBCXrJnTDOp
 sju/tt/vPcGrfVE8nuDGaUaD1vQzFflqG11/1E5nwuV/v37dvz8nbMbR10cmJ6tmg+AA
 tuwQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=bSZQNxaY6d4NUl2lEKopB+NZ30L0Pf+H1/CkWpbvKQg=;
 b=nWIJioGSGa1Y5tbxu5lvSp5WsDdhpTgmJfJnqlyYdTPmpIX3eK5X5hiktgf6hk4zwX
 j0KQRvZMuqiuWxe5FRmqbfZktT4BJJXa316PcEN8hWKHTFoacxBgXFWifNtIHZs24ugn
 vsK9Tjx0j8oh3e96creW9TvSWvcmMGsVNUaIRK3kah+yb1g42nk687V88sP++4cUOVo/
 tyt9oCRvVMnAqxi0+TfXKViZRTzqeLTzM3on/qQW6RQ3XxjkzSmtcFsDuEx/3oNl0VvZ
 C8EkyridLo5hduwyaBhMvTHkUoqePacMvZBjF0eRk0Sr4stCfBtAXAKxnq00B1dCtM7Y
 HO5w==
X-Gm-Message-State: APjAAAUnTiyWc3u/dxOnI/8Ulhl/aLmOWVZbuZ5OBeoMhg1zS5gbceFk
 tiyWD0bdZwUEdUTZv5vrBlr9xi6p
X-Google-Smtp-Source: APXvYqz2WcO4AlcBd/VXD+E5NqUwqK1to5cjo/RmcFLh9cpb8pUzeU9/79mBcQJ5blWV2fwuIiBqXQ==
X-Received: by 2002:a02:9009:: with SMTP id w9mr8732810jaf.112.1568857845329; 
 Wed, 18 Sep 2019 18:50:45 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 a14sm1870759ioo.85.2019.09.18.18.50.43
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 18 Sep 2019 18:50:44 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: worik <root@HIDDEN>
Subject: Re: bug#37453: Cannot connect to elpa
References: <aa3ee338-701f-b751-9683-ebebcbd96c3d@HIDDEN>
Date: Wed, 18 Sep 2019 21:50:43 -0400
In-Reply-To: <aa3ee338-701f-b751-9683-ebebcbd96c3d@HIDDEN> (worik's message
 of "Thu, 19 Sep 2019 11:16:51 +1200")
Message-ID: <874l199hqk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
Cc: 37453 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

forcemerge 36873 37453
quit

worik <root@HIDDEN> writes:

> https://elpa.gnu.org/packages/spinner-1.7.3.el: Bad Request

Upgrade to 26.3, or else try

    (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")

as a workaround.





Last modified: Thu, 19 Sep 2019 02:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.